#!/bin/bash

#SOURCES="man0.tex man1.tex man2.tex man3.tex man4.tex man5.tex man6.tex man7.tex man8.tex mana.tex manb.tex"
SOURCES="mand.tex"

for i in $SOURCES; do 
  echo $i
  sed -e 's/\\pageno=[0-9]*//'\
      -e 's/\\bx{\\bf *\([A-Za-z]*\)}/\\chapter{\1}/' \
      -e 's/\\bx *{\\bf *[0-8AB]\.[0-9]* \([^}]*\)}/\\section{\1}/'\
      -e 's/\\noindent *{\\bf [1-8AB]\.[0-9]* \([^}]*\)}/\\section{\1}/'\
      -e 's/\\eqno(\([0-8]\.[0-9a-f]*\))/\\label{eq:\1}/' \
      -e 's/Eq. *(\([0-8]\.[0-9a-f]*\))/Eq.~\\ref{eq:\1}/' \
      -e 's/(\([0-8]\.[0-9a-f]*\))\\cr/\\label{eq:\1}\\cr/'\
      -e 's/(\([0-8]\.[0-9a-f]*\))/Eq.~\\ref{eq:\1}/' $i > schur_$i
done
