#!/bin/sh

cd ../help
cat <<THEBEGINNING
\noindent\begin{small}
\setlength\LTleft{0pt}\setlength\LTright{0pt}
\begin{longtable}{@{\extracolsep{\fill}}lll}
\multicolumn{3}{c}{Table A.1 All the commands in \SCHUR.}\cr
\hline\endfirsthead
\multicolumn{3}{c}{Table A.1 All the commands in \SCHUR\ (continued).}\cr
\endhead
THEBEGINNING

for i in  A B C D E F G H I J K L M N O P Q R S T U V W X Y Z; do
	let count=0
	temp=`ls $i* |grep -v Makefile |grep -v '~'`
	str=""
	for j in $temp; do
	   str="${str} "`echo $j | sed -e 's/_/\\\\_/g'` 
	   let count++
	   if [ $((count%3)) = "0" ]; then
	   	printf '%s&%s&%s\\\' $str
		str=""
		echo
	   fi
	done
	if [  $((count%3)) = "1" ]; then
		printf '%s\\\' $str
		echo
	elif [  $((count%3)) = "2" ]; then
	  	printf '%s&%s\\\' $str
		echo
	fi
	if [ ! $((count)) = "0" ]; then
	   echo '\\'
	fi
done
echo '\end{longtable}\end{small}'
