#include "ReadWrite.h"

FILE *
Fopen (char *n, int l, char *m)
{
  FILE *f;
  register char *s;
  static char ch = 'A';
  static char tmp[MAXFILENAME];


  if (n == NULL)
    sprintf (tmp, "/tmp/ptc%d%c", getpid (), ch++);
  else
    {
      if (l < 0)
	l = strlen (n);
      strncpy (tmp, n, MAXFILENAME);
      for (s = &tmp[MAXFILENAME - 1];
	   *s == ' ' || *s == '\0' || s - tmp > l;)
	*s-- = '\0';
      if (tmp[MAXFILENAME - 1] != '\0')
	{
	  (void) fprintf (stderr, "Too long filename '%s'\n", n);
	  exit (1);
	}
    }
  s = tmp;
  if ((f = fopen (s, m)) == NULL)
    {
      (void) fprintf (stderr, "Cannot open: %s\n", s);
      exit (1);
    }
  if (n == NULL)
    unlink (tmp);
  return (f);
}
